<?php session_start(); ?>
<?php require_once('includes/connect.php'); ?>
<?php require_once('includes/functions.php'); ?>
<?php



/**
 * Captcha added 6-5-2014. Tim Lindsay
 */
require_once('captcha_setup.php');

$messages = array();

if ($captcha->validate($_POST["captchacode"])) {
  // Do what you will do if the CAPTCHA code was correct
  $error = false;
}
else {
  // Do what you will do if the CAPTCHA code was NOT correct
  $error = true;
  $messages[] = "Invalid captcha code";
}


if (isset($_POST["accept_freq"])) {
  $ask_freq = false;


}
else if (isset($_POST["deny_freq"])) {
  $ask_freq = false;
  $_SESSION["freq"] = "Once only";

}
else {
  $_SESSION['formID_36434kfjkdf'] = true;

  $_SESSION['company'] = $_POST['company'];
  $_SESSION['first'] = $_POST['first'];
  $_SESSION['last'] = $_POST['last'];
  $_SESSION['address'] = $_POST['address'];
  $_SESSION['address2'] = $_POST['address2'];
  $_SESSION['state'] = $_POST['state'];
  $_SESSION['country'] = $_POST['country'];
  $_SESSION['code'] = $_POST['code'];

  $_SESSION['phoneArea'] = $_POST['phoneArea'];
  $_SESSION['phone'] = $_POST['phone'];
  $_SESSION['faxArea'] = $_POST['faxArea'];
  $_SESSION['fax'] = $_POST['fax'];
  $_SESSION['mobile'] = $_POST['mobile'];
  $_SESSION['email'] = $_POST['email'];
  $_SESSION['web'] = $_POST['web'];

  $_SESSION['amount'] = $_POST['amount'];
  $_SESSION['currency'] = $_POST['currency'];
  $_SESSION['freq'] = $_POST['freq'];

  $_SESSION['for'] = $_POST['for'];
  $_SESSION['method'] = $_POST['method'];
  $_SESSION['number1'] = $_POST['number1'];
  $_SESSION['number2'] = $_POST['number2'];
  $_SESSION['number3'] = $_POST['number3'];
  $_SESSION['number4'] = $_POST['number4'];
  $_SESSION['name'] = $_POST['name'];
  $_SESSION['exp_m'] = $_POST['exp_m'];
  $_SESSION['exp_y'] = $_POST['exp_y'];
  $_SESSION['cvv'] = $_POST['cvv'];
  $_SESSION['comments'] = $_POST['comments'];


  if (isset($_POST['subscribe'])) {
    $_SESSION['subscribe'] = "yes";
  }
  else {
    $_SESSION['subscribe'] = "no";
  }

}

//form validation
$amount = floatval($_SESSION['amount']);

if ($amount < 1) {
  $error = true;
  $messages[] = 'Please fill in the <strong>amount you wish to donate</strong> Note: do not include Currency notation.';
}
if ($_SESSION['method'] != "none" || $_SESSION['name'] != "" || $_SESSION['number1'] != "" || $_SESSION['number2'] != "" || $_SESSION['number3'] != "" || $_SESSION['number4'] != "") {
  if ($_SESSION['method'] == "none" || $_SESSION['name'] == "" || $_SESSION['number1'] == "" || $_SESSION['number2'] == "" || $_SESSION['number3'] == "" || $_SESSION['number4'] == "" || $_SESSION['exp_m'] == "" || $_SESSION['exp_y'] == "") {
    $error = true;
    $messages[] = 'make sure you fill in all the <strong>Credit Card details</strong> (OR leave all Credit Card details blank)';
  }
}
if ($_SESSION['exp_m'] == "none") {
  $error = true;
  $messages[] = 'enter where your <strong>EXPIRY DATE</strong>';
}
if ($_SESSION['exp_y'] == "none") {
  $error = true;
  $messages[] = 'enter where your <strong>EXPIRY DATE</strong>';
}
if ($_SESSION['for'] == "none") {
  $error = true;
  $messages[] = 'enter where your <strong>Donation will go to</strong>';
}
//	if($_SESSION['method'] == "none"){
//		$error = true;
//		$message = 'select the <strong>Payment method</strong>';
//	}
if ($_SESSION['phone'] == "") {
  $error = true;
  $messages[] = 'enter your <strong>Telephone Number</strong>';
}
if (!validate_email($_SESSION['email'])) {
  $error = true;
  $messages[] = 'enter a real <strong>Email Address</strong>';
}
if ($_SESSION['last'] == "") {
  $error = true;
  $messages[] = 'enter your <strong>Last Name</strong>';
}
if ($_SESSION['first'] == "") {
  $error = true;
  $messages[] = 'enter your <strong>First Name</strong>';
}

if ($_SESSION['address'] == "") {
  $error = true;
  $messages[] = 'enter your <strong>Postal Address</strong>';
}
if ($_SESSION['state'] == "") {
  $error = true;
  $messages[] = 'enter your <strong>State</strong>';
}
if ($_SESSION['exp_m'] == "") {
  $error = true;
  $messages[] = 'enter your <strong>Credit Card EXPIRY MONTH</strong>';
}
if ($_SESSION['exp_y'] == "") {
  $error = true;
  $messages[] = 'enter your <strong>Credit Card EXPIRY YEAR</strong>';
}
if ($_SESSION['cvv'] == "") {
  $error = true;
  $messages[] = 'enter <strong>security 3-4 digit CVV number on front or back of card</strong>';
}
if ($_SESSION['country'] == "") {
  $error = true;
  $messages[] = 'enter your <strong>Country</strong>';
}
if ($_SESSION['code'] == "") {
  $error = true;
  $messages[] = 'enter your <strong>Postcode</strong>';
}
if ($_SESSION['currency'] == "") {
  $error = true;
  $messages[] = 'enter your <strong>What Currency</strong>';
}
if ($_SESSION["freq"] == "Monthly" && !isset($_POST["accept_freq"])) {
  $error = true;
  $ask_freq = true;
}


#pass it a date in the format dd/mm/yy and it will return a mysql date of yyyy-mm-dd
function formatMysqlDate($date = "", $default = "today", $format = "Y-m-d")
{
  #format the date
  list($month, $day, $year) = split("/", $date);
  $date = mktime(0, 0, 0, $month, $day, $year);
  if (!empty($date) && intval($year)) {
    return date($format, $date);
  }
  else if ($default == "today") {
    #if the date is empty and default = today then return todays date
    return date($format);
  }

  return false;
}


if (!$error) {

  //properly escape everything thats getting written to the db
  $first = gslash($_SESSION['first']);
  $last = gslash($_SESSION['last']);
  $email = gslash($_SESSION['email']);
  $phone = gslash($_SESSION['phoneArea']) . gslash($_SESSION['phone']);
  $fax = gslash($_SESSION['faxArea']) . gslash($_SESSION['fax']);
  $mobile = gslash($_SESSION['mobile']);
  $web = gslash($_SESSION['web']);
  $company = gslash($_SESSION['company']);
  $address = gslash($_SESSION['address']);
  $address2 = gslash($_SESSION['address2']);
  $state = gslash($_SESSION['state']);
  $country = gslash($_SESSION['country']);
  $code = gslash($_SESSION['code']);
  $for = gslash($_SESSION['for']);
  $freq = gslash($_SESSION['freq']);

  $freq2 = gslash($_SESSION['freq2']);
  $amount = floatval($_SESSION['amount']);
  $currency = gslash($_SESSION['currency']);
  $method = gslash($_SESSION['method']);
  $name = gslash($_SESSION['name']);
  $number = gslash($_SESSION['number1']) . gslash($_SESSION['number2']) . gslash($_SESSION['number3']) . gslash($_SESSION['number4']);
  $exp_m = gslash($_SESSION['exp_m']);
  $exp_y = gslash($_SESSION['exp_y']);
  $cvv = gslash($_SESSION['cvv']);


  $subscribe = gslash($_SESSION['subscribe']);

  $gDate = date('U');

  //insert into db
  $query = "insert into `donations` set " .
    "`date` = $gDate, " .
    "`first` = '$first', " .
    "`last` = '$last', " .
    "`email` = '$email', " .
    "`phone` = '$phone', " .
    "`fax` = '$fax', " .
    "`mobile` = '$mobile', " .
    "`company` = '$company', " .
    "`web` = '$web', " .
    "`address` = '$address', " .
    "`address2` = '$address2', " .
    "`state` = '$state', " .
    "`country` = '$country', " .
    "`code` = '$code', " .
    "`for` = '$for', " .
    "`freq` = '$freq', " .

    "`amount` = $amount, " .
    "`currency` = '$currency', " .
    "`method` = '$method', " .
    "`name` = '$name', " .
    "`number` = '$number', " .
    "`exp_m` = '$exp_m', " .
    "`exp_y` = '$exp_y', " .
    "`cvv` = '$cvv', " .
    "`subscribe` = '$subscribe'," .
    "`comments` = '$comments'";

  $result = mysql_query($query) or die("Problem with query: " . mysql_error());


  //email confirmation to the person who just donated
  $subject = "globaldevelopmentusa.org donation confirmation";
  $invoiceFrom = "donations@globaldevelopmentusa.org";
  $mailcontent = "Thank you for submiting your online donation.

For your records, here are the details you submitted.

First Name: " . $first . "
Last Name:  " . $last . "

Email Address:   " . $email . "
Phone Number:    " . $phone . "
Fax Number:      " . $fax . "
Mobile Number:   " . $mobile . "
Business: 			 " . $company . "

Address:   " . $address . "
Suburb:    " . $address2 . "
State:     " . $state . "
Country:     " . $country . "
Code:      " . $code . "

Payment Method:     " . $method . "
Payment Frequency:  " . $freq . "
Amount:             $" . $amount . "
Currency:             $" . $currency . "
Donation to be used for:
" . $for . "

Name on Card: " . $name . "
Card Number:  (omitted for security)
Expiry:       (omitted for security)

Comments:
$comments

Note: This is not a receipt, you will receive a receipt once your donation has been processed.
";

  mail($_SESSION['email'], $subject, $mailcontent, "From: $invoiceFrom\r\nReply-To: $invoiceFrom");

  //email notification to globaldevelopmentusa.org
  $subject = "New globaldevelopmentusa.org donation received";
  $invoiceFrom = "donations@globaldevelopment.org.au";
  $mailcontent = "A new online donation has been received for USA website.

Click here to retrive the details: http://www.globaldevelopmentusa.org/donations.php

Here is a summary:

First Name: " . $first . "
Last Name:  " . $last . "

Email Address:   " . $email . "
Phone Number:    " . $phone . "

Payment Method:     " . $method . "
Payment Frequency:  " . $freq . "
Amount:             $" . $amount . "
Currency:             $" . $currency . "
Donation to be used for:
" . $for . "

Comments:
$comments

";

  //mail($invoiceFrom, $subject, $mailcontent, "From: $invoiceFrom\r\nReply-To: $invoiceFrom");
  mail('geoff.gd@bigpond.net.au', $subject, $mailcontent, "From: $invoiceFrom\r\nReply-To: $invoiceFrom");
  //mail('greg@aus-e.com', $subject, $mailcontent, "From: $invoiceFrom\r\nReply-To: $invoiceFrom");

  //clean up
  unset($_SESSION['formID_36434kfjkdf']);

  unset($_SESSION['first']);
  unset($_SESSION['last']);
  unset($_SESSION['email']);
  unset($_SESSION['phone']);
  unset($_SESSION['fax']);
  unset($_SESSION['mobile']);
  unset($_SESSION['web']);
  unset($_SESSION['company']);
  unset($_SESSION['address']);
  unset($_SESSION['address2']);
  unset($_SESSION['state']);
  unset($_SESSION['country']);
  unset($_SESSION['code']);
  unset($_SESSION['for']);
  unset($_SESSION['freq']);
  unset($_SESSION['freq2']);
  unset($_SESSION['amount']);
  unset($_SESSION['currency']);
  unset($_SESSION['method']);
  unset($_SESSION['name']);
  unset($_SESSION['number']);
  unset($_SESSION['exp_m']);
  unset($_SESSION['exp_y']);
  unset($_SESSION['cvv']);
}
if ($ask_freq) {
  ?>
  <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">
  <html>
  <head>
    <title>Secure Donations</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
    <link href="gdg.css" rel="stylesheet" type="text/css">
    <style type="text/css">
      <!--
      body {
        margin-left:0px;
        margin-top:0px;
        margin-right:0px;
        margin-bottom:0px;
      }

      .style1 {
        color:#666666;
        font-size:11px;
      }

      -->
    </style>

  </head>
  <body bgcolor=white>
  <table width="100%" height="15%" cellpadding="0" cellspacing="0" border="0"><!--DWLayoutTable-->
    <tr>

    </tr>
    <tr>
      <td width="100%" align="center" class="topmenu2">
        <div align="left"><img src="images/gdg_usa_header.gif" width="500" height="104"></div>
      </td>
      <td width="39%" align="center" valign="middle" class="topmenu2"><!--DWLayoutEmptyCell-->&nbsp;</td>
    </tr>
    <tr>
      <td colspan="2" align="center" valign="middle" bgcolor="#FFFFFF">
        <table width="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="#1e4684">
          <tr>
            <td>&nbsp;</td>
          </tr>
        </table>
      </td>
    </tr>
    <tr>
      <td height="1"></td>
      <td><img src="images/spacer.gif" alt="" width="351" height="1"></td>
    </tr>
  </table>
  <div align="center">
    <table width="796" height="372" border="0" align="center" cellpadding="0" cellspacing="0" id="Table_01">
      <tr>
        <td width="140" rowspan="3" align="left" valign="top">
          <table width="140" border="0" cellspacing="5" cellpadding="5">
            <tr>
              <td>&nbsp;</td>
            </tr>
            <tr>
              <td>&nbsp;</td>
            </tr>
            <tr>
              <td>&nbsp;</td>
            </tr>
            <tr>
              <td>&nbsp;</td>
            </tr>
          </table>
        </td>
        <td><img src="images/image_donations.jpg" width="656" height="103" alt=""></td>
      </tr>
      <tr>
        <td><img src="images/whitespacer-.jpg" width="656" height="14" alt=""></td>
      </tr>
      <tr>
        <td>
          <table width="100%" height="100%" border="0" cellpadding="8" cellspacing="0">
            <tr>
              <td valign="top">
                <div align="center" class="body">


                  <table border="0">
                    <tr>
                      <td>

                        <p><b>Please Note:</b> This will establish an automatically recurring transaction for this
                          preferred project.</p>

                        <p>If you wish to give a single, once only donation (rather than a monthly recurring donation),
                          please select the "Once only" payment frequency.</p>

                        <p>Recurring donations continue until you advise <a href="mailto:info@globaldevelopment.org.au">info@globaldevelopment.org.au</a>
                        </p>


                        <p>Confirming my Monthly Recurring Donation</p>

                        <p>I wish to establish on ongoing, monthly donation to the preferred project and amount as I
                          have nominated. </p>

                        <form method="POST" action="">
                          <input type="submit" name="accept_freq" value="Yes"/>
                          <input type="submit" name="deny_freq" value="No"/>
                        </form>
                      </td>
                    </tr>
                  </table>
                </div>
              </td>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td height="15" colspan="2">
          <div align="center" class="base"><br>
            <br>
            &copy; Copyright 2010 &nbsp;&nbsp;<a href="http://www.globaldevelopment.org.au/policy">Privacy Policy</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="http://www.thelangeroom.com" target="_blank">Design
              by TLR</a></div>
        </td>
      </tr>
    </table>
    <br>
  </div>
  </body>
  </html>
<?php

}
else {

  ?>
  <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
  "http://www.w3.org/TR/html4/loose.dtd">
  <html>
  <head>
    <title>Secure Donations</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
    <link href="gdg.css" rel="stylesheet" type="text/css">
    <style type="text/css">
      <!--
      body {
        margin-left:0px;
        margin-top:0px;
        margin-right:0px;
        margin-bottom:0px;
      }

      .style1 {
        color:#666666;
        font-size:11px;
      }


      .submit_errors, .submit_errors ul {
        width:500px;
        margin:0 auto;
        text-align:left;
      }

      .submit_errors {
        margin-top:15px;
      }


      -->
    </style>

  </head>
  <body bgcolor=white>
  <table width="100%" height="15%" cellpadding="0" cellspacing="0" border="0"><!--DWLayoutTable-->
    <tr>
      <td height="23" colspan="2" align="center" valign="middle">&nbsp;</td>
    </tr>
    <tr>
      <td width="100%" align="center" class="topmenu2">
        <div align="left"><img src="images/gdg_usa_header.gif" width="500" height="104"></div>
      </td>
      <td width="39%" align="center" valign="middle" class="topmenu2"><!--DWLayoutEmptyCell-->&nbsp;</td>
    </tr>
    <tr>
      <td colspan="2" align="center" valign="middle" bgcolor="#FFFFFF">
        <table width="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="#1e4684">
          <tr>
            <td>&nbsp;</td>
          </tr>
        </table>
      </td>
    </tr>
    <tr>
      <td height="1"></td>
      <td><img src="images/spacer.gif" alt="" width="351" height="1"></td>
    </tr>
  </table>
  <div align="center">
    <table width="100%" height="372" border="0" align="center" cellpadding="0" cellspacing="0" id="Table_01">
      <tr>
        <td width="1" rowspan="3" align="left" valign="top">&nbsp;</td>
        <td>
          <div align="center">
            <img src="images/image_donations.jpg" width="656" height="103" alt="">
          </div>
        </td>
      </tr>
      <tr>
        <td><img src="images/whitespacer-.jpg" width="656" height="14" alt=""></td>
      </tr>
      <tr>
        <td>
          <table width="100%" height="100%" border="0" cellpadding="8" cellspacing="0">
            <tr>
              <td valign="top">
                <div align="center" class="body">
                  <?php if ($error) { ?>
                    There was an error in the form you just submitted.
                    <br/>
                    Please <a href="thenonpaypaloption.php">click
                      here</a> to try again.
                    <div class="submit_errors">The following errors were found, please fix and resubmit the form<ul><li><?php echo implode('</li><li>', $messages); ?></li></ul></div>
                    <br/>
                  <?php
                  }
                  else {
                    ?>
                    <strong>Thank you for your donation.</strong><br/>
                    Your information will now be processed by our GDG team<br>
                    You will receive an email confirmation of your request in a few minutes<br>
                    for your reference and records. <br>
                    <br>
                    If you have any questions, please contact us via email at
                    <a href="mailto:info@globaldevelopment.org.au" target="_blank">info@globaldevelopment.org.au</a><br>
                    or phone (07) 3341 6475<br/>
                  <?php } ?>
                </div>
              </td>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td height="15" colspan="2">
          <div align="center" class="base"><br>
            <br>
            &copy; Copyright 2014 &nbsp;&nbsp;<a href="http://www.globaldevelopment.org.au/policy">Privacy Policy</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="http://www.sunshinecoastbusinesscards.com.au" target="_blank">Design
              by TLR</a></div>
        </td>
      </tr>
    </table>
    <br>
  </div>
  </body>
  </html>
<?php } ?>