<?
	//use instead of addslashes
	function gslash( $string ) {
		if(get_magic_quotes_gpc()==1){
			return($string);
		}else{
			return (addslashes($string));
		}
	}
	
	function validate_email($testaddress) { 
	 return ereg('^[-!#$%&\'*+\\./0-9=?A-Z^_`a-z{|}~]+'.
	 							'@'.
								'[-!#$%&\'*+\\/0-9=?A-Z^_`a-z{|}~]+\.'.
								'[-!#$%&\'*+\\./0-9=?A-Z^_`a-z{|}~]+$', 
								$testaddress); 
	} 

?>
<?PHP 
// validate.php 

/////////////////////// 
// Function Name   : validate 
// Function Purpose: Validates the user's ticket and makes sure they are logged in 
// Recieves        : $username - the username of the current user; 
//                   $session_key - the session key of the user; 
//                   $expriation_time - how long till the ticket expires?; 
//                   $hash - hash of all three of those + server secret;
//                   $passhash - password of the current user
// Returns         : 1 if validated, 0 otherwise 
/////////////////////// 
function validate( $username, $session_key, $expiration_time, $hash, $passhash ) { 

  include "secret.php"; 

  $h = md5( $username . 
            $session_key . 
            $expiration_time . 
            $secret .
            $passhash ); 

  if( $hash == $h && time( ) < $expiration_time ) { 
    return 1; 
  } else { 
    return 0; 
  } // end if 

} // end function validate

?>